Crystal Space
Welcome, Guest. Please login or register.
April 24, 2014, 10:41:24 pm

Login with username, password and session length
Search:     Advanced search
8990 Posts in 2037 Topics by 7628 Members
Latest Member: Majstersztyk1989
* Home Help Search Login Register
+  Crystal Space
|-+  Crystal Space Development
| |-+  Support
| | |-+  Hey guys i am sorry but can you please help me?
« previous next »
Pages: 1 [2] 3 Print
Author Topic: Hey guys i am sorry but can you please help me?  (Read 17105 times)
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #15 on: November 22, 2008, 10:44:02 am »

Ok.. but please give me at least the links with the items i should have
Logged

jorrit
Administrator
Hero Member
*****
Posts: 1704


View Profile
« Reply #16 on: November 22, 2008, 12:16:34 pm »

Ok.. but please give me at least the links with the items i should have

You can find the documentation here:

http://www.crystalspace3d.org/docs/online/manual-1.2/Platform-Instructions.html#0

Check the right platform depending on the compiler you're using.

Greetings,
Logged
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #17 on: November 22, 2008, 01:50:41 pm »

Ok
Logged

Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #18 on: November 22, 2008, 05:19:34 pm »

What is the SVN version of Crystal Space?

What sould i chose? and what does each one provides?

2.4.2 Microsoft Visual C++ 7, 7.1 or 8        
2.4.3 Windows using MinGW        
2.4.4 Windows using Cygwin
« Last Edit: November 22, 2008, 05:21:51 pm by Lrdofnightmares » Logged

jorrit
Administrator
Hero Member
*****
Posts: 1704


View Profile
« Reply #19 on: November 22, 2008, 06:34:18 pm »

What is the SVN version of Crystal Space?

Don't worry about that. It is the development version of CS for the developers and of the brave smiley

Quote
What sould i chose? and what does each one provides?

2.4.2 Microsoft Visual C++ 7, 7.1 or 8        
2.4.3 Windows using MinGW        
2.4.4 Windows using Cygwin

Well that depends on the compiler that you have. If you have Microsoft Visual C++ then choose that one. Otherwise choose MingW. Best to avoid CygWin.

Greetings,
Logged
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #20 on: November 22, 2008, 07:42:56 pm »

I suggest going for the Visual Studio solution, as I've had some difficulties with the other options. You can download the express edition of VC for free here: http://www.microsoft.com/Express/Download/

is this version of C++ alright? i have Bloodshed Dev - C++ too

Which one should i use?
Logged

jorrit
Administrator
Hero Member
*****
Posts: 1704


View Profile
« Reply #21 on: November 22, 2008, 07:51:45 pm »

Visual Studio is what I recommend so obviously it will be ok.

Don't use Bloodshed.

Greetings,
Logged
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #22 on: November 22, 2008, 08:24:44 pm »

This is what i get

========== Build: 2 succeeded, 158 failed, 18 up-to-date, 0 skipped ==========

I used the folder msvc8 and i have Visual C++ 2008


What do i do wrong?
Logged

jorrit
Administrator
Hero Member
*****
Posts: 1704


View Profile
« Reply #23 on: November 22, 2008, 08:26:23 pm »

I don't know. You need to tell me what errors you are getting. Post the FIRST 10 errors.

Greetings,
Logged
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #24 on: November 22, 2008, 08:34:21 pm »

cl : Command line warning D9035 : option 'Wp64' has been deprecated and will be removed in a future release

error.cpp

cl : Command line warning D9035 : option 'Wp64' has been deprecated and will be removed in a future release

plgvfs - 1 error(s), 1 warning(s)

LINK : fatal error LNK1104: cannot open file 'zlib.lib'
LINK : fatal error LNK1104: cannot open file 'zlib.lib'

plgtlfunc - 1 error(s), 1 warning(s)


So the problem is in zlib.lib?
LINK : fatal error LNK1104: cannot open file 'zlib.lib'

plgthingldr - 1 error(s), 1 warning(s)

LINK : fatal error LNK1104: cannot open file 'zlib.lib'

Logged

jorrit
Administrator
Hero Member
*****
Posts: 1704


View Profile
« Reply #25 on: November 22, 2008, 08:50:27 pm »

You didn't install the required cs-winlibs package as is explained on http://www.crystalspace3d.org/docs/online/manual-1.2/MSVC7.html#0 (see 'cs-win32libs required').

Greetings,
Logged
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #26 on: November 22, 2008, 09:22:13 pm »

Now i've got this

0 error(s), 19 warning(s)
========== Build: 159 succeeded, 1 failed, 18 up-to-date, 0 skipped ==========

And everywhere i have this warning

cl : Command line warning D9035 : option 'Wp64' has been deprecated and will be removed in a future release
« Last Edit: November 22, 2008, 09:28:55 pm by Lrdofnightmares » Logged

jorrit
Administrator
Hero Member
*****
Posts: 1704


View Profile
« Reply #27 on: November 22, 2008, 09:44:30 pm »

Can you show me the error you get? Not that warning. That's not harmful. But one of the projects failed so there should be an error somewhere.

Greetings,
Logged
Lrdofnightmares
Newbie
*
Posts: 28



View Profile Email
« Reply #28 on: November 22, 2008, 09:56:58 pm »

Is there a way to find it fast? or i have to see the whole log?

EDIT:

I can't Find it Sad

And for some reason one thing on the list is bold this one : app3ds2lev
« Last Edit: November 22, 2008, 10:16:05 pm by Lrdofnightmares » Logged

anmbia
Newbie
*
Posts: 5


View Profile Email
« Reply #29 on: November 22, 2008, 11:35:35 pm »

My suggestion:  Build CS again.  Everything that compiled okay the last time you built CS should be ignored this time around, so it will be easier to see the error. (and it will only take about two seconds)







Logged
Pages: 1 [2] 3 Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.2 | SMF © 2006-2007, Simple Machines LLC Valid XHTML 1.0! Valid CSS!
Page created in 3.236 seconds with 16 queries.